Content-Type: text/html; charset=UTF-8
Last-Modified: Sat, 18 Jan 2025 00:18:04 GMT
Expires: Thu, 01 Jan 1970 00:00:05 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title></title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='shortcut icon' href='/favicon.ico'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'>Git repository browser</td></tr>
<tr><td class='sub'>a fast webinterface for the git dscm</td></tr></table>
<table class='tabs'><tr><td>
<a class='active' href='/'>index</a></td><td class='form'><form method='get' action='/mirrors/nextcloud/commit/e0d01e4768a1679701b9466ff3ff780280d5415d'>
<input type='search' name='q' size='10' value=''/>
<input type='submit' value='search'/>
</form></td></tr></table>
<div class='content'><div class='error'>No repositories found</div>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-01-18 00:18:04 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
ption value='rdns-tcp-rework'>rdns-tcp-rework</option>
<option value='rework-symcache'>rework-symcache</option>
<option value='rspamd-0.5'>rspamd-0.5</option>
<option value='rspamd-0.6'>rspamd-0.6</option>
<option value='rspamd-0.7'>rspamd-0.7</option>
<option value='rspamd-0.8'>rspamd-0.8</option>
<option value='rspamd-0.9'>rspamd-0.9</option>
<option value='rspamd-1.0'>rspamd-1.0</option>
<option value='rspamd-1.1'>rspamd-1.1</option>
<option value='rspamd-1.2'>rspamd-1.2</option>
<option value='rspamd-1.3'>rspamd-1.3</option>
<option value='rspamd-1.4'>rspamd-1.4</option>
<option value='rspamd-1.5'>rspamd-1.5</option>
<option value='rspamd-1.6'>rspamd-1.6</option>
<option value='rspamd-1.9'>rspamd-1.9</option>
<option value='rspamd-3.10'>rspamd-3.10</option>
<option value='rspamd-3.7'>rspamd-3.7</option>
<option value='rspamd-3.8'>rspamd-3.8</option>
<option value='rspamd-3.9'>rspamd-3.9</option>
<option value='torch-removal'>torch-removal</option>
<option value='vstakhov-anonymize-mime'>vstakhov-anonymize-mime</option>
<option value='vstakhov-another-grow-factor-fix'>vstakhov-another-grow-factor-fix</option>
<option value='vstakhov-ci-try'>vstakhov-ci-try</option>
<option value='vstakhov-conf-reorg'>vstakhov-conf-reorg</option>
<option value='vstakhov-cpu-detection'>vstakhov-cpu-detection</option>
<option value='vstakhov-cumulative-tcp-timeout'>vstakhov-cumulative-tcp-timeout</option>
<option value='vstakhov-fasttext-langdet'>vstakhov-fasttext-langdet</option>
<option value='vstakhov-fix-2047-encode'>vstakhov-fix-2047-encode</option>
<option value='vstakhov-fix-dcc'>vstakhov-fix-dcc</option>
<option value='vstakhov-fuzzy-cxx'>vstakhov-fuzzy-cxx</option>
<option value='vstakhov-fuzzy-limits-display'>vstakhov-fuzzy-limits-display</option>
<option value='vstakhov-fuzzy-noop'>vstakhov-fuzzy-noop</option>
<option value='vstakhov-fuzzy-tcp'>vstakhov-fuzzy-tcp</option>
<option value='vstakhov-gpt-ollama'>vstakhov-gpt-ollama</option>
<option value='vstakhov-keypair-encoding'>vstakhov-keypair-encoding</option>
<option value='vstakhov-known-senders'>vstakhov-known-senders</option>
<option value='vstakhov-llm-anonymize'>vstakhov-llm-anonymize</option>
<option value='vstakhov-llm-embeddings' selected='selected'>vstakhov-llm-embeddings</option>
<option value='vstakhov-lua-shingles'>vstakhov-lua-shingles</option>
<option value='vstakhov-lua-text-api'>vstakhov-lua-text-api</option>
<option value='vstakhov-new-hiredis'>vstakhov-new-hiredis</option>
<option value='vstakhov-openssl-provider-message'>vstakhov-openssl-provider-message</option>
<option value='vstakhov-redis-pool-fixes'>vstakhov-redis-pool-fixes</option>
<option value='vstakhov-remove-control-block'>vstakhov-remove-control-block</option>
<option value='vstakhov-some-build-fixes'>vstakhov-some-build-fixes</option>
<option value='vstakhov-ssl-fixes'>vstakhov-ssl-fixes</option>
<option value='vstakhov-stringzilla'>vstakhov-stringzilla</option>
<option value='vstakhov-strip-attachments'>vstakhov-strip-attachments</option>
<option value='vstakhov-surbl-conf-fix'>vstakhov-surbl-conf-fix</option>
<option value='vstakhov-universal-hashing-lua'>vstakhov-universal-hashing-lua</option>
<option value='vstakhov-utf8-mime'>vstakhov-utf8-mime</option>
<option value='vstakhov-zstd-headers'>vstakhov-zstd-headers</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Rapid spam filtering system: https://github.com/rspamd/rspamd</td><td class='sub right'>www-data</td></tr></table>
<table class='tabs'><tr><td>
<a href='/rspamd.git/about/?h=vstakhov-llm-embeddings'>about</a><a href='/rspamd.git/?h=vstakhov-llm-embeddings'>summary</a><a href='/rspamd.git/refs/?h=vstakhov-llm-embeddings&amp;id=08caf16449ad25e1aa6d659908713c4dcfae2dec'>refs</a><a href='/rspamd.git/log/Makefile.in?h=vstakhov-llm-embeddings'>log</a><a class='active' href='/rspamd.git/tree/Makefile.in?h=vstakhov-llm-embeddings&amp;id=08caf16449ad25e1aa6d659908713c4dcfae2dec'>tree</a><a href='/rspamd.git/commit/Makefile.in?h=vstakhov-llm-embeddings&amp;id=08caf16449ad25e1aa6d659908713c4dcfae2dec'>commit</a><a href='/rspamd.git/diff/Makefile.in?h=vstakhov-llm-embeddings&amp;id=08caf16449ad25e1aa6d659908713c4dcfae2dec'>diff</a><a href='/rspamd.git/stats/Makefile.in?h=vstakhov-llm-embeddings'>stats</a></td><td class='form'><form class='right' method='get' action='/rspamd.git/log/Makefile.in'>
<input type='hidden' name='h' value='vstakhov-llm-embeddings'/><input type='hidden' name='id' value='08caf16449ad25e1aa6d659908713c4dcfae2dec'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/rspamd.git/tree/?h=vstakhov-llm-embeddings&amp;id=08caf16449ad25e1aa6d659908713c4dcfae2dec'>root</a>/<a href='/rspamd.git/tree/Makefile.in?h=vstakhov-llm-embeddings&amp;id=08caf16449ad25e1aa6d659908713c4dcfae2dec'>Makefile.in</a></div><div class='content'>blob: 1448d4377a7a248160c58edcd07d9242d90e41b9 (<a href='/rspamd.git/plain/Makefile.in?h=vstakhov-llm-embeddings&amp;id=08caf16449ad25e1aa6d659908713c4dcfae2dec'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nf">.PHONY</span><span class="o">:</span><span class="w"> </span><span class="n">perl</span> <span class="n">clean</span> <span class="k">$(</span><span class="nv">SUBDIRS</span><span class="k">)</span> 

<span class="nf">all</span><span class="o">:</span><span class="w"> </span><span class="k">$(</span><span class="nv">OBJDIR</span><span class="k">)</span> <span class="n">perl</span> <span class="k">$(</span><span class="nv">TARGETS</span><span class="k">)</span>

<span class="nf">$(OBJDIR)</span><span class="o">:</span>
<span class="w">	</span>mkdir<span class="w"> </span>-p<span class="w"> </span><span class="k">$(</span>OBJDIR<span class="k">)</span>

<span class="nf">perl</span><span class="o">:</span><span class="w"> </span><span class="n">perl</span>/<span class="n">Makefile</span>
<span class="w">	</span><span class="nb">cd</span><span class="w"> </span>perl<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span>make<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span><span class="nb">cd</span><span class="w"> </span>..

<span class="nf">perl/Makefile</span><span class="o">:</span>
<span class="w">	</span><span class="nb">cd</span><span class="w"> </span>perl<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span>perl<span class="w"> </span>Makefile.PL<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span><span class="nb">cd</span><span class="w"> </span>..

<span class="nf">install</span><span class="o">:</span><span class="w"> </span><span class="k">$(</span><span class="nv">EXEC</span><span class="k">)</span>
<span class="w">	</span><span class="nb">cd</span><span class="w"> </span>perl<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span>make<span class="w"> </span>install<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span><span class="nb">cd</span><span class="w"> </span>..
<span class="w">	</span><span class="k">$(</span>INSTALL<span class="k">)</span><span class="w"> </span>-b<span class="w"> </span><span class="k">$(</span>EXEC<span class="k">)</span><span class="w"> </span><span class="k">$(</span>PREFIX<span class="k">)</span>/sbin/<span class="k">$(</span>EXEC<span class="k">)</span>
<span class="w">	</span><span class="k">$(</span>INSTALL<span class="k">)</span><span class="w"> </span>-b<span class="w"> </span>rspamc.pl<span class="w"> </span><span class="k">$(</span>PREFIX<span class="k">)</span>/bin/rspamc
<span class="w">	</span><span class="k">$(</span>INSTALL<span class="k">)</span><span class="w"> </span>-v<span class="w"> </span><span class="k">$(</span>EXEC<span class="k">)</span>.sh<span class="w"> </span><span class="k">$(</span>PREFIX<span class="k">)</span>/etc/rc.d
<span class="c">	#$(INSTALL) -m0644 rspamd.8 $(MANPATH)/man8</span>
<span class="c">	#$(INSTALL) -m0644 rspamd.conf.sample $(PREFIX)/etc</span>
<span class="w">	</span><span class="k">$(</span>MKDIR<span class="k">)</span><span class="w"> </span>-o<span class="w"> </span><span class="k">$(</span>RSPAMD_USER<span class="k">)</span><span class="w"> </span>-g<span class="w"> </span><span class="k">$(</span>RSPAMD_GROUP<span class="k">)</span><span class="w"> </span>/var/run/rspamd

<span class="nf">clean</span><span class="o">:</span><span class="w"> </span><span class="n">clean</span>-<span class="n">subdirs</span> <span class="n">perl</span>/<span class="n">Makefile</span>
<span class="w">	</span>rm<span class="w"> </span>-f<span class="w"> </span><span class="k">$(</span>OBJDIR<span class="k">)</span>/*.o<span class="w"> </span><span class="k">$(</span>EXEC<span class="k">)</span><span class="w"> </span>*core
<span class="w">	</span>rm<span class="w"> </span>-fr<span class="w"> </span><span class="k">$(</span>OBJDIR<span class="k">)</span>
<span class="w">	</span>rm<span class="w"> </span>-f<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/cfg_lex.c<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/cfg_yacc.c<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/cfg_yacc.h
<span class="w">	</span>rm<span class="w"> </span>-f<span class="w"> </span>config.cache
<span class="w">	</span><span class="nb">cd</span><span class="w"> </span>perl<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span>make<span class="w"> </span>clean<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span><span class="nb">cd</span><span class="w"> </span>..

<span class="nf">dist-clean</span><span class="o">:</span><span class="w"> </span><span class="n">clean</span> <span class="n">dist</span>-<span class="n">clean</span>-<span class="n">subdirs</span>
<span class="w">	</span>rm<span class="w"> </span>-f<span class="w"> </span>Makefile
<span class="w">	</span>rm<span class="w"> </span>-f<span class="w"> </span>test/Makefile
<span class="w">	</span>rm<span class="w"> </span>-f<span class="w"> </span>config.log
<span class="w">	</span>rm<span class="w"> </span>-f<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/md5.h<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/md5.c<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/queue.h<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/config.h<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/modules.c<span class="w"> </span><span class="k">$(</span>SRCDIR<span class="k">)</span>/modules.h
<span class="w">	</span><span class="nb">cd</span><span class="w"> </span>perl<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span>rm<span class="w"> </span>-f<span class="w"> </span>Makefile.old<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span>rm<span class="w"> </span>-f<span class="w"> </span>Makefile.PL<span class="w"> </span><span class="o">&amp;&amp;</span><span class="w"> </span><span class="nb">cd</span><span class="w"> </span>..

<span class="nf">creategroup</span><span class="o">:</span>
<span class="w">	</span>@echo<span class="w"> </span><span class="s2">&quot;Create group </span><span class="k">$(</span>RSPAMD_GROUP<span class="k">)</span><span class="s2"> before installing!&quot;</span><span class="w"> </span>

<span class="nf">createuser</span><span class="o">:</span>
<span class="w">	</span>@echo<span class="w"> </span><span class="s2">&quot;Create user </span><span class="k">$(</span>RSPAMD_USER<span class="k">)</span><span class="s2"> before installing!&quot;</span><span class="w"> </span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.39.1</a>) at 2025-01-18 00:18:08 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
